Bug 739674 - libvirt using wrong boot order
Summary: libvirt using wrong boot order
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 18:56 UTC by Zeeshan Ali
Modified: 2016-09-20 01:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 19:37:43 UTC


Attachments (Terms of Use)
Screenshot of VM (4.44 KB, image/png)
2011-09-19 18:56 UTC, Zeeshan Ali
no flags Details

Description Zeeshan Ali 2011-09-19 18:56:06 UTC
Created attachment 523890 [details]
Screenshot of VM

I have self-built virt-tools from git master. If I launch the following commandline:

---Commandline-----

virt-install --connect qemu:///system --virt-type kvm --graphics spice --cdrom /home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso --disk pool=default,format=qcow2,size=2 --disk device=floppy,path=/home/zeenix/floppy.img --boot cdrom,fd,hd --vcpus 1 --ram 500 --name Microsoft-Windows-XP --os-variant winxp --debug

---End of Commandline-----

I get the following output:

---Output-----

Mon, 19 Sep 2011 19:18:37 DEBUG    Launched with command line:
/usr/bin/virt-install --connect qemu:///system --virt-type kvm --graphics spice --cdrom /home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso --disk pool=default,format=qcow2,size=2 --disk device=floppy,path=/home/zeenix/floppy.img --boot cdrom,fd,hd --vcpus 1 --ram 500 --name Microsoft-Windows-XP --os-variant winxp --debug
Mon, 19 Sep 2011 19:18:37 DEBUG    Requesting libvirt URI qemu:///system
Mon, 19 Sep 2011 19:18:41 DEBUG    Received libvirt URI qemu:///system
Mon, 19 Sep 2011 19:18:41 DEBUG    Requesting virt method 'default', hv type 'kvm'.
Mon, 19 Sep 2011 19:18:41 DEBUG    Received virt method 'hvm'
Mon, 19 Sep 2011 19:18:41 DEBUG    Hypervisor name is 'kvm'
Mon, 19 Sep 2011 19:18:41 DEBUG    Setting os type to 'windows' for variant 'winxp'
Mon, 19 Sep 2011 19:18:41 DEBUG    Attempting to build default pool with target '/var/lib/libvirt/images'
Mon, 19 Sep 2011 19:18:41 DEBUG    Creating storage pool 'default' with xml:
<pool type='dir'>
  <name>default</name>
  <uuid>5576726a-7451-8872-78dd-083b3057f149</uuid>
  <target>
    <path>/var/lib/libvirt/images</path>
  </target>
</pool>

Mon, 19 Sep 2011 19:18:41 DEBUG    DistroInstaller location is a local file/path: /home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso
Mon, 19 Sep 2011 19:18:41 DEBUG    Guest.has_install_phase: True

Starting install...
Mon, 19 Sep 2011 19:18:41 DEBUG    Creating storage volume 'Microsoft-Windows-XP.img' with xml:
<volume>
  <name>Microsoft-Windows-XP.img</name>
  <capacity>2147483648</capacity>
  <allocation>0</allocation>
  <target>
    <format type='qcow2'/>
  </target>
</volume>

Allocating 'Microsoft-Windows-XP.img'                                        | 2.0 GB     00:00     
Mon, 19 Sep 2011 19:18:42 DEBUG    Storage volume 'Microsoft-Windows-XP.img' install complete.
Mon, 19 Sep 2011 19:18:42 DEBUG    Generated install XML: 
<domain type='kvm'>
  <name>Microsoft-Windows-XP</name>
  <uuid>741ca579-8e74-97dd-439f-4fb4ed8674ed</uuid>
  <memory>512000</memory>
  <currentMemory>512000</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64'>hvm</type>
    <boot dev='cdrom'/>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/><apic/><pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/lib/libvirt/images/Microsoft-Windows-XP.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='floppy'>
      <driver name='qemu'/>
      <source file='/home/zeenix/floppy.img'/>
      <target dev='fda' bus='fdc'/>
    </disk>
    <disk type='file' device='cdrom'>
      <driver name='qemu'/>
      <source file='/home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='52:54:00:0f:58:5f'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='spice' port='-1' tlsPort='-1' autoport='yes'/>
    <console type='pty'/>
    <video>
      <model type='qxl'/>
    </video>
  </devices>
</domain>

Mon, 19 Sep 2011 19:18:42 DEBUG    Generated boot XML: 
<domain type='kvm'>
  <name>Microsoft-Windows-XP</name>
  <uuid>741ca579-8e74-97dd-439f-4fb4ed8674ed</uuid>
  <memory>512000</memory>
  <currentMemory>512000</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64'>hvm</type>
    <boot dev='cdrom'/>
    <boot dev='fd'/>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/><apic/><pae/>
  </features>
  <clock offset="localtime"/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/lib/libvirt/images/Microsoft-Windows-XP.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <disk type='file' device='floppy'>
      <driver name='qemu'/>
      <source file='/home/zeenix/floppy.img'/>
      <target dev='fda' bus='fdc'/>
    </disk>
    <disk type='file' device='cdrom'>
      <driver name='qemu'/>
      <source file='/home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
    </disk>
    <interface type='network'>
      <source network='default'/>
      <mac address='52:54:00:0f:58:5f'/>
    </interface>
    <input type='tablet' bus='usb'/>
    <graphics type='spice' port='-1' tlsPort='-1' autoport='yes'/>
    <console type='pty'/>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
    </channel>
    <video>
      <model type='qxl'/>
    </video>
  </devices>
</domain>

Creating domain...                                                           |    0 B     00:00     
Mon, 19 Sep 2011 19:18:42 DEBUG    Started guest, connecting to console if requested
Mon, 19 Sep 2011 19:18:42 DEBUG    Launching virt-viewer for graphics type 'spice'
Mon, 19 Sep 2011 19:18:42 DEBUG    Running: /usr/bin/virt-viewer --connect qemu:///system --wait 1
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
Mon, 19 Sep 2011 19:18:43 DEBUG    XML fetched from libvirt object:
<domain type='kvm' id='1'>
  <name>Microsoft-Windows-XP</name>
  <uuid>741ca579-8e74-97dd-439f-4fb4ed8674ed</uuid>
  <memory>512000</memory>
  <currentMemory>512000</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc-0.14'>hvm</type>
    <boot dev='cdrom'/>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
    <pae/>
  </features>
  <clock offset='localtime'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/lib/libvirt/images/Microsoft-Windows-XP.img'/>
      <target dev='hda' bus='ide'/>
      <alias name='ide0-0-0'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <source file='/home/zeenix/ISOs/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' unit='0'/>
    </disk>
    <disk type='file' device='floppy'>
      <driver name='qemu' type='raw'/>
      <source file='/home/zeenix/floppy.img'/>
      <target dev='fda' bus='fdc'/>
      <alias name='fdc0-0-0'/>
      <address type='drive' controller='0' bus='0' unit='0'/>
    </disk>
    <controller type='fdc' index='0'>
      <alias name='fdc0'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='network'>
      <mac address='52:54:00:0f:58:5f'/>
      <source network='default'/>
      <target dev='vnet0'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <serial type='pty'>
      <source path='/dev/pts/4'/>
      <target port='0'/>
      <alias name='serial0'/>
    </serial>
    <console type='pty' tty='/dev/pts/4'>
      <source path='/dev/pts/4'/>
      <target type='serial' port='0'/>
      <alias name='serial0'/>
    </console>
    <input type='tablet' bus='usb'>
      <alias name='input0'/>
    </input>
    <input type='mouse' bus='ps2'/>
    <graphics type='spice' port='5900' tlsPort='-1' autoport='yes'/>
    <video>
      <model type='qxl' vram='65536' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </memballoon>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c339,c466</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c339,c466</imagelabel>
  </seclabel>
</domain>

---End of output-----

Everything seems to be in order but VM is trying to boot from hard-disk first and then floppy and therefore failing (as depicted in the attached picture).

Comment 1 Zeeshan Ali 2011-09-19 19:37:43 UTC
Turns out to be a BIOS issue. Upgrading from 'seabios-bin-0.6.0-1.fc15.noarch' to 'seabios-bin-0.6.2-2.fc16.noarch' helps.


Note You need to log in before you can comment on or make changes to this bug.